Name:		qubes-utils
Version:	4.1.16
Release:	1%{?dist}
Summary:	Common Linux files for Qubes Dom0 and VM
Source0:    %{name}-%{version}.tar.gz

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Requires:	udev
Requires:	%{name}-libs
Requires:	ImageMagick
Requires:	python%{python3_pkgversion}-qubesimgconverter
%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3-rpm-macros
# for meminfo-writer
BuildRequires:  xen-devel
BuildRequires:	gcc

%description
Common Linux files for Qubes Dom0 and VM

%package -n python%{python3_pkgversion}-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python%{python3_pkgversion}
Requires:   python%{python3_pkgversion}-cairo
Requires:   python%{python3_pkgversion}-pillow
Requires:   python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-qubesimgconverter
Python package qubesimgconverter

%package devel
Summary:	Development headers for qubes-utils
Release:	1%{?dist}
Requires:	%{name}-libs

%description devel
Development header and files for qubes-utils

%package libs
Summary: Qubes utils libraries
Release:	1%{?dist}

%description libs
Libraries for qubes-utils

%prep
%setup -q

%build
make all BACKEND_VMM=xen PYTHON=%{__python3}

%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

%post
# dom0
%systemd_post qubes-meminfo-writer-dom0.service
# VM
%systemd_post qubes-meminfo-writer.service

%preun
%systemd_preun qubes-meminfo-writer-dom0.service
%systemd_preun qubes-meminfo-writer.service

%postun
%systemd_postun_with_restart qubes-meminfo-writer-dom0.service
%systemd_postun_with_restart qubes-meminfo-writer.service

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/lib/udev/rules.d/*-qubes-*.rules
/usr/lib/tmpfiles.d/xen-devices-qubes.conf
/usr/lib/qubes/udev-*
%{_sbindir}/meminfo-writer
%{_unitdir}/qubes-meminfo-writer.service
%{_unitdir}/qubes-meminfo-writer-dom0.service

%files -n python%{python3_pkgversion}-qubesimgconverter
%{python3_sitelib}/qubesimgconverter/__init__.py
%{python3_sitelib}/qubesimgconverter/imggen.py
%{python3_sitelib}/qubesimgconverter/test.py
%{python3_sitelib}/qubesimgconverter/test_integ.py
%{python3_sitelib}/qubesimgconverter-%{version}-py?.[0-9]*.egg-info
%{python3_sitelib}/qubesimgconverter/__pycache__

%files libs
%{_libdir}/libqubes-rpc-filecopy.so.2

%files devel
%defattr(-,root,root,-)
/usr/include/libqubes-rpc-filecopy.h
%{_libdir}/libqubes-rpc-filecopy.so

%changelog
* Wed Oct 20 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-utils.git

* Wed Oct 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 506594e
- version 4.1.16

* Fri Oct 15 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5be2b83
- spec: allow matching python3.10 in %files

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07ea7b2
- version 4.1.15

* Thu May 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 308d708
- version 4.1.14

* Wed May 12 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 0209684
- Force exporting of loop devices

* Tue May 11 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 546e0c9
- Add do_unpack_ext to limit what can be unpacked

* Mon Apr 12 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 54afa23
- Use a flexable array member instead of an empty array

* Fri Mar 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c16c721
- kernel-vm-support: fix spec indentation

* Fri Mar 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a26b504
- kernel-vm-support: add make as BR

* Fri Feb 05 2021 Shawn Anastasio <shawn@anastas.io> - ac0e7bb
- Makefile: remove broken 32-bit host check

* Thu Jan 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 72458b4
- version 4.1.13

* Wed Jan 06 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 685d201
- Fix CI

* Tue Jan 05 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - a8ca815
- Mass replace: ‘/var/run’ → ‘/run’

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1eff32a
- archlinux: add makedepends on qubes-vm-xen

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - e872754
- Validate remote filename before displaying it

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 87ead86
- Modernize systemd unit files

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - cf009e8
- Meminfo writer comes before user logins

* Fri Dec 18 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - befbd65
- Fix some links to more modern versions

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a7e3632
- debian: update compat

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6154498
- debian: update control

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8289227
- tests: fix IncompleteReadError exception location

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ceee75
- ci: add coverage

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 04aacff
- gitlab-ci: add custom jobs

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7160bc7
- Add .gitlab-ci.yml

* Fri Nov 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 53120a7
- version 4.1.12

* Thu Nov 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 01e69a7
- rpm,deb: /lib is a symlink to /usr/lib, move the files appropriately

* Thu Nov 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5413af
- Set /dev/xen/* permissions early

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b124c71
- dracut: enable swap as early as possible

* Thu Oct 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dab2c31
- travis: fix build/install jobs

* Thu Oct 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81d3430
- debian: don't fail package install on missing /var/lib/qubes

* Fri Oct 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a23aa0b
- dracut: remove useless use of basename

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb27dff
- version 4.1.11

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e1e8d4
- travis: restore 'language: python'

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c00702
- Update travis

* Mon Jun 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28c2d3e
- version 4.1.10

* Sun Jun 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa1d86f
- debian: adjust dependencies for split python3-qubesimgconverter

* Sat Jun 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e1e4932
- version 4.1.9

* Sat Jun 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51ea359
- debian: add python3-cairo dependency

* Sat Jun 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - adc121b
- debian: split python qubesimgconverter

* Fri Jun 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8cd7df
- version 4.1.8

* Thu Jun 11 2020 null pointer exception <57326449+deathgrippin@users.noreply.github.com> - 1920032
- Fix typo

* Sun May 31 2020 Rusty Bird <rustybird@net-c.com> - 043793f
- imgconverter: make output reproducible by omitting timestamps

* Wed May 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f864e8
- debian: drop python2 from dependencies

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 641ea6b
- version 4.1.7

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c707a18
- debian: bump libqubes-rpc-filecopy2 required version

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aba6ec6
- qrexec-lib/unpack: option to wait for free disk space

* Thu Apr 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e583b9
- makefile: specify PYTHON at build stage too

* Wed Apr 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20505a8
- version 4.1.6

* Sun Mar 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - a631e3b
- Image.get_from_stream_async(): fix large sizes

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37248f5
- version 4.1.5

